# R-code for lecture 8

par(mai=c(0.5,0.5,0.5,0.5))
library(spatstat)

# simulating a Matern Cluster process
# small r = clearly separated clusters
kappa = 5
r = 0.02
alpha = 10
X = rMatClust(kappa, r, alpha, win = owin(c(0, 1), c(0, 1)))
plot(X)

# large r = clearly clustered, but the individual clusters are not visible
r = 0.2
X = rMatClust(kappa, r, alpha, win = owin(c(0, 1), c(0, 1)))
plot(X)

# the Thomas process is also implemented as rThomas(...)

